<?php
/**
 * ServiceLevelAgreementApiTest
 * PHP version 7.4
 *
 * @category Class
 * @package  SLIS\Adapter\Hub
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * slis hub
 *
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.7.4
 * Contact: dev@slis.io
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 6.1.0-SNAPSHOT
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace SLIS\Adapter\Hub\Test\Api;

use \SLIS\Adapter\Hub\Configuration;
use \SLIS\Adapter\Hub\ApiException;
use \SLIS\Adapter\Hub\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * ServiceLevelAgreementApiTest Class Doc Comment
 *
 * @category Class
 * @package  SLIS\Adapter\Hub
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class ServiceLevelAgreementApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass(): void
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp(): void
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown(): void
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass(): void
    {
    }

    /**
     * Test case for apiFirewallsServiceLevelAgreementGetSubresourceFirewallSubresource
     *
     * Retrieves a Firewall resource..
     *
     */
    public function testApiFirewallsServiceLevelAgreementGetSubresourceFirewallSubresource()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for deleteServiceLevelAgreementItem
     *
     * Removes the ServiceLevelAgreement resource..
     *
     */
    public function testDeleteServiceLevelAgreementItem()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for getServiceLevelAgreementCollection
     *
     * Retrieves the collection of ServiceLevelAgreement resources..
     *
     */
    public function testGetServiceLevelAgreementCollection()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for getServiceLevelAgreementItem
     *
     * Retrieves a ServiceLevelAgreement resource..
     *
     */
    public function testGetServiceLevelAgreementItem()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for postServiceLevelAgreementCollection
     *
     * Creates a ServiceLevelAgreement resource..
     *
     */
    public function testPostServiceLevelAgreementCollection()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }
}
